Package com.omnisci.thrift.server

## Class TLicenseInfo

- java.lang.Object
- - com.omnisci.thrift.server.TLicenseInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TLicenseInfo>`, `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TLicenseInfo
    extends Object
    implements org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>, Serializable, Cloneable, Comparable<TLicenseInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TLicenseInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<String>` `claims`
`static Map<TLicenseInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TLicenseInfo()`
`TLicenseInfo​(TLicenseInfo other)` Performs a deep copy on other.
`TLicenseInfo​(List<String> claims)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToClaims​(String elem)`
`void` `clear()`
`int` `compareTo​(TLicenseInfo other)`
`TLicenseInfo` `deepCopy()`
`boolean` `equals​(TLicenseInfo that)`
`boolean` `equals​(Object that)`
`TLicenseInfo._Fields` `fieldForId​(int fieldId)`
`List<String>` `getClaims()`
`Iterator<String>` `getClaimsIterator()`
`int` `getClaimsSize()`
`Object` `getFieldValue​(TLicenseInfo._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TLicenseInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetClaims()` Returns true if field claims is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TLicenseInfo` `setClaims​(List<String> claims)`
`void` `setClaimsIsSet​(boolean value)`
`void` `setFieldValue​(TLicenseInfo._Fields field, Object value)`
`String` `toString()`
`void` `unsetClaims()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### claims

    public List<String> claims

#### metaDataMap

    public static final Map<TLicenseInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TLicenseInfo

    public TLicenseInfo()

#### TLicenseInfo

    public TLicenseInfo​(List<String> claims)

#### TLicenseInfo

    public TLicenseInfo​(TLicenseInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TLicenseInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### getClaimsSize

    public int getClaimsSize()

#### getClaimsIterator

    public Iterator<String> getClaimsIterator()

#### addToClaims

    public void addToClaims​(String elem)

#### getClaims

    public List<String> getClaims()

#### setClaims

    public TLicenseInfo setClaims​(List<String> claims)

#### unsetClaims

    public void unsetClaims()

#### isSetClaims

    public boolean isSetClaims()

Returns true if field claims is set (has been assigned a value) and false otherwise

#### setClaimsIsSet

    public void setClaimsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TLicenseInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TLicenseInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### isSet

    public boolean isSet​(TLicenseInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TLicenseInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TLicenseInfo other)

Specified by:
  `compareTo` in interface `Comparable<TLicenseInfo>`

#### fieldForId

    public TLicenseInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TLicenseInfo,​TLicenseInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`